# Preparations for course: Code and data management with Git

- Date: December 1st, 2015
- Time: 9:00 - 17:00
- Location: T-0-010
- Teachers:
  - Martijn Vermaat (m.vermaat.hg@lumc.nl)
  - Jeroen Laros (j.f.j.laros@lumc.nl)
  - Wibowo Arindrarto (W.Arindrarto@lumc.nl)
  - Szymon Kiełbasa (S.M.Kielbasa@lumc.nl)


## Program

Very preliminary, please update, extend, or comment.

| Time  | Subject           | Teacher           | Contents                  |
| ----- | ----------------- | ----------------- | ------------------------- |
| 09:00 | **Introduction**  | Jeroen Laros      | Welcome, GitLab overview  |
| 09:30 | *Practical*       |                   |                           |
| 09:45 | **Git basics**    | Wibowo Arindrarto | Basic Git command line fu |
| 10:15 | *Practical*       |                   |                           |
| 10:45 | Coffee            |                   |                           |
| 11:00 | **Git remotes**   | Martijn Vermaat   | Collaborating via GitLab  |
| 11:30 | *Practical*       |                   |                           |
| 12:00 | Lunch             |                   |                           |
| 13:00 | **Git conflicts** | Martijn Vermaat?  | Merge conflicts, protected branches |
| 13:30 | *Practical*       |                   |                           |
| 14:00 | Break             |                   |                           |
| 14:30 | **Data analysis** | Szymon Kiełbasa   | Project template, R-Studio, GitLab |
| 15:00 | *Practical*       |                   |                           |
| 15:30 | Leftover minutes  |                   | TODO: assign to some lecture or practical |
| 16:00 | Questions, drinks |                   |                           |

- Branches: not in this course
- Git annex: not in this course


## Participants

Confirmed:

1. Angga Fuady
2. Tooba Tabbassidaloii
3. Soheil Yousefi
4. Rick de Leeuw
5. Sake van Pelt
6. Niels de Water

Confirmed (but only if seats available):

1. Magnus Palmblad
2. Arzu Tugce Guler
3. Dirk Ages
4. Jonathan Vis

Not yet confirmed (but with precedence):

1. Saeed Katiraei
2. Roel Zinkstok (ONCO)
3. Martijn Eenink (ONCO)
4. Tarek Malas
5. Thomas Chin-A-Woeng

Remote:

1. Johan den Dunnen


## Course materials

We can reuse many slides from last year, see the contents of this repository.

We will provide the course materials and program via GitLab. So this GitLab
project will be the course homepage.

The old course homepage can still be found here, but will be deleted before the
course starts: https://humgenprojects.lumc.nl/trac/humgenprojects/wiki/gitcourse


# Prerequisites

Affinity with the UNIX shell is required before taking the course. For example,
our [scripting course](https://humgenprojects.lumc.nl/trac/humgenprojects/wiki/scripting)
is more than enough, or you could go though [tutorials 1-3 here](http://www.ee.surrey.ac.uk/Teaching/Unix/).

We encourage you to bring your own laptop, but make sure it has the necessary
software installed (see [Software installation](https://humgenprojects.lumc.nl/trac/humgenprojects/wiki/gitcourse/SoftwareInstallation)).
We can also provide you with a laptop that has all the required software
installed. The lessons are interactive, meaning that you really need a laptop.